SDL_SetGPUTextureName(3)

NAME
SDL_SetGPUTextureName - Sets an arbitrary string constant to label a texture.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_SetGPUTextureName(
    SDL_GPUDevice *device,
    SDL_GPUTexture *texture,
    const char *text);

DESCRIPTION
You should use SDL_PROP_GPU_TEXTURE_CREATE_NAME_STRING with SDL_CreateGPUTexture instead of this function to avoid thread safety issues.

FUNCTION PARAMETERS

device
    a GPU Context.

texture
    a texture to attach the name to.

text
    a UTF-8 string constant to mark as the name of the texture.

THREAD SAFETY
This function is not thread safe, you must make sure the texture is not simultaneously used by any other thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUTexture(3)